# Bundle.awk (MS-DOS version)
#    usage:  gawk -f bundle.awk
# 
# bundle files to file which name is defined by _bundlefile_ 
# variable (see below), these can be reprocessed by _undundle.awk_
#
# Author: TP (5.4.96)
#
BEGIN { stdio = "con" # stdio for DOS
        seplineb = "<<<<<<<<<<<<<<<<<<<<";
        seplinee = ">>>>>>>>>>>>>>>>>>>>";
        bundlefile = "BUNDLE.TXT";

   print seplineb, "STARTBUNDLEDATA", seplineb > "bundle.txt";
        
   while (("dir/b/a-d *.*" | getline  fname ) > 0) {
      print fname, "found..." >> stdio;
      if (fname == bundlefile) { print "\tfile", bundlefile, "skipped!"; continue; }
      print seplineb, fname, seplineb > "bundle.txt";

      while ( (getline < fname )  > 0) {
         print $0 > "bundle.txt";
      }
      print seplinee, fname, seplinee > "bundle.txt";
      close (fname)
   }

   print seplinee, "ENDBUNDLEDATA", seplinee > "bundle.txt";
   close ("dir/b *.*");
}
